Package org.apache.struts2.validator

# Interface ActionValidatorManager

All Known Implementing Classes:
  `AnnotationActionValidatorManager`, `DefaultActionValidatorManager`

public interface ActionValidatorManager
ActionValidatorManager is the main interface for validation managers (regular and annotation based).

Author:
  Rainer Hermanns

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Validator>`
  `getValidators(Class<?> clazz, String context)`
  Returns a list of validators for the given class and context.
  `List<Validator>`
  `getValidators(Class<?> clazz, String context, String method)`
  Returns a list of validators for the given class, context, and method.
  `void`
  `validate(Object object, String context)`
  Validates the given object using action and its context.
  `void`
  `validate(Object object, String context, String method)`
  Validates the given object using an action, its context, and the name of the method being invoked on the action.
  `void`
  `validate(Object object, String context, ValidatorContext validatorContext)`
  Validates an action give its context and a validation context.
  `void`
  `validate(Object object, String context, ValidatorContext validatorContext, String method)`
  Validates an action give its context and a validation context.

- ## Method Details

  - ### getValidators

    List<Validator> getValidators(Class<?> clazz, String context, String method)
    Returns a list of validators for the given class, context, and method. This is the primary lookup method for validators.
    Parameters:
      `clazz` - the class to lookup.
      `context` - the context of the action class - can be `null`.
      `method` - the name of the method being invoked on the action - can be `null`.
    Returns:
      a list of all validators for the given class and context.

  - ### getValidators

    List<Validator> getValidators(Class<?> clazz, String context)
    Returns a list of validators for the given class and context. This is the primary lookup method for validators.
    Parameters:
      `clazz` - the class to lookup.
      `context` - the context of the action class - can be `null`.
    Returns:
      a list of all validators for the given class and context.

  - ### validate

    void validate(Object object, String context) throws ValidationException
    Validates the given object using action and its context.
    Parameters:
      `object` - the action to validate.
      `context` - the action's context.
    Throws:
      `ValidationException` - if an error happens when validating the action.

  - ### validate

    void validate(Object object, String context, ValidatorContext validatorContext) throws ValidationException
    Validates an action give its context and a validation context.
    Parameters:
      `object` - the action to validate.
      `context` - the action's context.
      `validatorContext` - the validation context to use
    Throws:
      `ValidationException` - if an error happens when validating the action.

  - ### validate

    void validate(Object object, String context, String method) throws ValidationException
    Validates the given object using an action, its context, and the name of the method being invoked on the action.
    Parameters:
      `object` - the action to validate.
      `context` - the action's context.
      `method` - the name of the method being invoked on the action - can be `null`.
    Throws:
      `ValidationException` - if an error happens when validating the action.

  - ### validate

    void validate(Object object, String context, ValidatorContext validatorContext, String method) throws ValidationException
    Validates an action give its context and a validation context.
    Parameters:
      `object` - the action to validate.
      `context` - the action's context.
      `validatorContext` - the validation context to use
      `method` - the name of the method being invoked on the action - can be `null`.
    Throws:
      `ValidationException` - if an error happens when validating the action.